<div>
  <h2 id="page-heading" data-cy="ConteudoHeading">
    <span jhiTranslate="matrixApp.conteudo.home.title">Conteudos</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span jhiTranslate="matrixApp.conteudo.home.refreshListLabel">Atualizar lista</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-conteudo"
        [routerLink]="['/conteudo/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span jhiTranslate="matrixApp.conteudo.home.createLabel">Criar novo Conteudo</span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="conteudos?.length === 0">
    <span jhiTranslate="matrixApp.conteudo.home.notFound">Nenhum Conteudo encontrado</span>
  </div>

  <div class="table-responsive table-entities" id="entities" *ngIf="conteudos && conteudos.length > 0">
    <table class="table table-striped" aria-describedby="page-heading">
      <thead>
        <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
          <th scope="col" jhiSortBy="id">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.conteudo.id">Id</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="descricao">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.conteudo.descricao">Descricao</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="conhecimento.id">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.conteudo.conhecimento">Conhecimento</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="geral.id">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.conteudo.geral">Geral</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let conteudo of conteudos; trackBy: trackId" data-cy="entityTable">
          <td>
            <a [routerLink]="['/conteudo', conteudo.id, 'view']">{{ conteudo.id }}</a>
          </td>
          <td>{{ conteudo.descricao }}</td>
          <td>
            <div *ngIf="conteudo.conhecimento">
              <a [routerLink]="['/conhecimento', conteudo.conhecimento.id, 'view']">{{ conteudo.conhecimento.id }}</a>
            </div>
          </td>
          <td>
            <div *ngIf="conteudo.geral">
              <a [routerLink]="['/conteudo', conteudo.geral.id, 'view']">{{ conteudo.geral.id }}</a>
            </div>
          </td>
          <td class="text-end">
            <div class="btn-group">
              <button
                type="submit"
                [routerLink]="['/conteudo', conteudo.id, 'view']"
                class="btn btn-info btn-sm"
                data-cy="entityDetailsButton"
              >
                <fa-icon icon="eye"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">Visualizar</span>
              </button>

              <button
                type="submit"
                [routerLink]="['/conteudo', conteudo.id, 'edit']"
                class="btn btn-primary btn-sm"
                data-cy="entityEditButton"
              >
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Editar</span>
              </button>

              <button type="submit" (click)="delete(conteudo)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Excluir</span>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
